> ## Documentation Index
> Fetch the complete documentation index at: https://developers.clay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch progress and results for a routine run

> Returns current status and paginated results for an asynchronous routine run.



## OpenAPI

````yaml /openapi.json get /routines/run/{routine_run_id}/results
openapi: 3.1.0
info:
  contact:
    name: Clay
    url: https://www.clay.com
  description: Programmatic access to Clay.
  title: Clay Public API
  version: '0'
servers:
  - description: production
    url: https://api.clay.com/public/v0
security:
  - ClayApiKey: []
tags:
  - description: Authenticated user and workspace endpoints.
    name: me
  - description: Search creation and pagination endpoints.
    name: searches
  - description: Structured table query endpoints.
    name: tables
  - description: Routine discovery and execution endpoints.
    name: routines
paths:
  /routines/run/{routine_run_id}/results:
    get:
      tags:
        - routines
      summary: Fetch progress and results for a routine run
      description: >-
        Returns current status and paginated results for an asynchronous routine
        run.
      operationId: getRunResults
      parameters:
        - in: path
          name: routine_run_id
          required: true
          schema:
            type: string
        - in: query
          name: cursor
          schema:
            type: string
        - in: query
          name: limit
          schema:
            default: 20
            maximum: 100
            minimum: 1
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RunResultsComplete'
          description: '200'
        '202':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RunResultsInProgress'
          description: '202'
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: '401'
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: '404'
        '429':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: '429'
components:
  schemas:
    RunResultsComplete:
      additionalProperties: false
      properties:
        cursor:
          type: string
        data:
          items:
            $ref: '#/components/schemas/RunResultItem'
          type: array
        finished:
          type: number
        routine_run_id:
          type: string
        status:
          const: complete
          type: string
        total:
          type: number
      required:
        - routine_run_id
        - total
        - finished
        - status
        - data
      type: object
    RunResultsInProgress:
      additionalProperties: false
      properties:
        finished:
          type: number
        routine_run_id:
          type: string
        status:
          const: in_progress
          type: string
        total:
          type: number
      required:
        - routine_run_id
        - total
        - finished
        - status
      type: object
    ErrorResponse:
      additionalProperties: false
      properties:
        message:
          type: string
      required:
        - message
      type: object
    RunResultItem:
      additionalProperties: false
      properties:
        error:
          additionalProperties: false
          properties:
            message:
              type: string
          required:
            - message
          type: object
        id:
          type: string
        result:
          additionalProperties: {}
          type: object
        status:
          enum:
            - complete
            - failed
          type: string
      required:
        - id
        - status
      type: object
  securitySchemes:
    ClayApiKey:
      description: >-
        Personal API key tied to your Clay user. Create one under Settings →
        Account in the Clay app.
      in: header
      name: clay-api-key
      type: apiKey

````